%global commit 2f7a797f33842e21ff22f97b664b87ab79c866d9
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global module_name catkin_pkg

Name:           python-%{module_name}
Version:        0.1.25
Release:        1%{?dist}
Summary:        Library for retrieving information about catkin packages

License:        BSD
URL:            https://github.com/ros-infrastructure/%{module_name}
Source0:        https://github.com/ros-infrastructure/%{module_name}/archive/%{commit}/%{module_name}-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch

Requires:       python-dateutil
Requires:       python-docutils
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-dateutil
BuildRequires:  python-docutils
BuildRequires:  python-nose
BuildRequires:  python-mock

%description
Library for retrieving information about catkin packages

%prep
%setup -q -n %{module_name}-%{commit}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
PYTHONPATH=$RPM_BUILD_ROOT%{python_sitelib} nosetests -w test
 
%files
%doc README.rst
%{_bindir}/catkin_create_pkg
%{_bindir}/catkin_find_pkg
%{_bindir}/catkin_generate_changelog
%{_bindir}/catkin_tag_changelog
%{_bindir}/catkin_test_changelog
%{python_sitelib}/%{module_name}/
%{python_sitelib}/%{module_name}-%{version}-py?.?.egg-info

%changelog
* Thu Feb 06 2014 Scott K Logan <logans@cottsay.net> - 0.1.25-1
- Update to 0.1.25
- Added check section
- Added python-dateutil Requires/BuildRequires
- Added python-docutils Requires/BuildRequires
- Added python-nose BuildRequires
- Added python-mock BuildRequires

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.1.18-1
- Update to 1.18
- https://bugzilla.redhat.com/show_bug.cgi?id=926034

* Sat Mar 16 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.1.10-1
- Initial rpm build



